## jsxgraph 0.98~dfsg1

=== Makefile ===
.PHONY: test test-server

# build tools
REQUIREJS=./node_modules/.bin/r.js
UGLIFYJS=./node_modules/.bin/uglifyjs
JSDOC2=node ./node_modules/.bin/jsdoc2
LINT=./node_modules/.bin/jslint
HINT=./node_modules/.bin/jshint
JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar

# general tools
CP=cp
CAT=cat
MKDIR=mkdir
RM=rm
CD=cd
ZIP=zip

# directories
OUTPUT=distrib
BUILD=build
TMP=tmp
BUILDBIN=$(BUILD)/bin
BUILDREADERS=$(BUILDBIN)/readers
JSDOC2PLG=doc/jsdoc-tk/plugins
JSDOC2TPL=doc/jsdoc-tk/template
JSDOC2TPLSTAT=$(JSDOC2TPL)/static

# flags
MKDIRFLAGS=-p
RMFLAGS=-rf
JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs
ZIPFLAGS=-r
JSTESTPORT=4224
JSTESTSERVER=localhost:4224
JSTESTFLAGS=--reset --captureConsole --tests all

# filelists - required for docs, linters, and to build the readers
FILELIST=$(shell cat src/loadjsxgraph.js | grep "baseFiles\s*=\s*'\(\w*,\)\+" | awk -F \' '{ print $$2 }' | sed 's/,/.js src\//g')
READERSOUT=build/bin/readers/geonext.min.js build/bin/readers/geogebra.min.js build/bin/readers/intergeo.min.js build/bin/readers/sketch.min.js

# rules
all: core core-min readers docs moodle


core:
	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
	$(REQUIREJS) -o $(BUILD)/core.build.json


core-min:
	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
	$(REQUIREJS) -o $(BUILD)/core.build.json optimize=uglify2 out=$(BUILDBIN)/jsxgraphcore-min.js;
	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-min.js; } > $(BUILDBIN)/jsxgraphcore.min.js
	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(OUTPUT)/jsxgraphcore.js


core-amd:
	$(REQUIREJS) -o $(BUILD)/core-amd.build.json
	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-amd.js; } > $(BUILDBIN)/jsxgraphcore.amd.js


release: core-min docs
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraphcore.js
	$(CP) $(BUILDBIN)/jsxgraphcore.js $(TMP)/jsxgraphsrc.js
	$(CP) $(OUTPUT)/docs.zip $(TMP)/docs.zip
	$(CP) distrib/jsxgraph.css $(TMP)/jsxgraph.css
	$(CP) -r src/themes $(TMP)/themes
	$(CP) README.md LICENSE.MIT LICENSE.LGPL $(TMP)/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) jsxgraph.zip jsxgraph* themes/ docs.zip README.md LICENSE.*
	$(CP) $(TMP)/jsxgraph.zip $(OUTPUT)/jsxgraph.zip

	$(RM) $(RMFLAGS) tmp

docs: core core-min
	# set up tmp dir
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)

	# update template related files
	$(CP) distrib/jquery.min.js $(JSDOC2TPLSTAT)/jquery.min.js
	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(JSDOC2TPLSTAT)/jsxgraphcore.js
	$(CP) distrib/jsxgraph.css $(JSDOC2TPLSTAT)/jsxgraph.css

	# update the plugin
	$(CP) $(JSDOC2PLG)/*.js ./node_modules/jsdoc2/app/plugins/

	# run node-jsdoc2
	$(JSDOC2) $(JSDOC2FLAGS) src/$(FILELIST).js

	# zip -r tmp/docs.zip tmp/docs/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) docs.zip docs/
	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip

	$(RM) $(RMFLAGS) tmp

moodle: core core-min $(READERSOUT) 
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(MKDIR) $(MKDIRFLAGS) $(TMP)/jsxgraph
	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraph/jsxgraphcore.js	
	$(CP) distrib/jsxgraph.css $(TMP)/jsxgraph/jsxgraph.css
	$(CP) plugins/moodle/moodle2/*.php $(TMP)/jsxgraph/
	$(CP) plugins/moodle/moodle2/styles.css $(TMP)/jsxgraph/
	$(CP) plugins/moodle/moodle2/readme.txt $(TMP)/jsxgraph/
	$(CP) -r plugins/moodle/moodle2/lang $(TMP)/jsxgraph/
	$(CP) $(BUILDREADERS)/* $(TMP)/jsxgraph/

	# zip -r tmp/jsxgraph.zip tmp/jsxgraph
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) jsxgraph_moodle.zip jsxgraph/
	$(CP) $(TMP)/jsxgraph_moodle.zip $(OUTPUT)/jsxgraph_moodle.zip

	$(RM) $(RMFLAGS) tmp

readers: $(READERSOUT)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
	$(CP) $(BUILDREADERS)/* $(OUTPUT)

build/bin/readers/%.min.js: src/reader/%.js
	$(MKDIR) $(MKDIRFLAGS) $(BUILDREADERS)
	{ $(CAT) COPYRIGHT; $(UGLIFYJS) $^; } > $@

compressor: core
	$(REQUIREJS) -o build/compressor.build.json
	$(CP) build/bin/jsxcompressor.js JSXCompressor/jsxcompressor.js
	$(CP) build/bin/jsxgraphcore.js JSXCompressor/jsxgraphcore.js

plot:
	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
	$(REQUIREJS) -o build/plot.build.json

hint:
	$(HINT) src/$(FILELIST).js

lint:
	$(LINT) src/$(FILELIST).js

test-server:
	$(JSTESTDRIVER) --port $(JSTESTPORT)

test: core
	$(JSTESTDRIVER) $(JSTESTSERVER) $(JSTESTFLAGS) --basePath ./ --config test/jsTestDriver.conf

## jsxgraph 0.83+svn1872~dfsg

=== debian/changelog ===
jsxgraph (0.83+svn1872~dfsg-3) unstable; urgency=low

  * changed symlinks to protoype.js (they were broken)
  * removed debian/watch since the source is retreived from a SVN repository

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Jul 2011 11:44:58 +0200

jsxgraph (0.83+svn1872~dfsg-2) unstable; urgency=low

  * Closes: #612233 (the already fixed ITP)
  * changed to a versioned dependency on jsdoc-toolkit
  * bumped Standards-Version to 3.9.2


 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 16 Jul 2011 17:08:12 +0200

jsxgraph (0.83+svn1872~dfsg-1) unstable; urgency=low

  * stripped pdf files, zip files out of the source package.
  * modified debian/copyright to take in account some files with MIT 
    licenses and mixed licenses.
  * removed files jquery.min.js and prototype.js from the source package

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 09 Apr 2011 16:28:54 +0200

jsxgraph (0.83+svn1872-1) unstable; urgency=low

  * Upgraded to a newer upstream release: enables many examples 
    existing in the SVN repository.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 07 Feb 2011 15:32:07 +0100

jsxgraph (0.82-1) unstable; urgency=low

  * Upgraded to a newer upstream release
  * First publication. Closes: #612233

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 07 Feb 2011 02:06:30 +0100

jsxgraph (0.72-1) unstable; urgency=low

  * Upgraded to a newer upstream release

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 21 Mar 2010 20:05:25 +0100

jsxgraph (0.50-2) unstable; urgency=low

  * modified the files in distrib/ to contain the latest sources
    grabbed from http://jsxgraph.uni-bayreuth.de/distrib this day.
  * added the generation of a documentation in HTML format with the tool jsdoc

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Sep 2008 15:53:56 +0200

jsxgraph (0.50-1) unstable; urgency=low

  * Initial release (Closes: #0) 

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Sep 2008 08:08:51 +0200

=== debian/control ===
Source: jsxgraph
Section: devel
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), quilt
Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
Standards-Version: 3.9.2
Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php

Package: jsxgraph
Architecture: all
Depends: ${misc:Depends}, libjs-prototype, libjs-jquery
Description: Interactive Geometry with JavaScript
 JSXGraph is a cross-browser library to display interactive geometry in a
 web browser. It is implemented in JavaScript and uses SVG and VML.
 At the moment the following browsers are supported: Mozilla Firefox,
 Opera, Safari, Google Chrome, Microsoft Internet Explorer.
 .
 There are still some issues with JSXGraph in the Internet Explorer, so
 we recommend to use Firefox, Opera, Safari or Chrome.
 .
 JSXGraph is easy to embed and has a small footprint: only 50 kB if
 embedded in a web page. No plugins are required!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:
	find . -name "*~" -exec rm {} \;
	rm -rf js_docs_out
	rm -f distrib/jsxgraphcore.js
	dh_clean

## jsxgraph 0.83+svn1872~dfsg1

=== debian/changelog ===
jsxgraph (0.83+svn1872~dfsg1-1) unstable; urgency=low

  * changed my DEBEMAIL. Closes: #693288
  * changed Standards-Version to 3.9.4

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 26 Feb 2013 18:41:40 +0100

jsxgraph (0.83+svn1872~dfsg1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add get-orig-source target to debian/rules to recreate the custom
    orig tarball.
  * Changes of the orig tarball:
    - Do not include the 'tools' directory in the orig tarball.
      It is not used and contains the non-free jsmin (Closes: #689763)
      and compiled versions of yuicompressor without source (Closes: #691493).
    - Remove compressed copies of jsxgraphcore.js in old versions without
      source (Closes: #691493).

 -- Tobias Hansen <thansen@debian.org>  Fri, 09 Nov 2012 22:25:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: jsxgraph
 Section: devel
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,32 @@
 	rm -f distrib/jsxgraphcore.js
 	dh_clean
 
+# get-orig-source should preferably export a tagged SVN revision in the future.
+# It was done in this way to recreate the existing orig tarball
+# jsxgraph-0.83+svn1872~dfsg.orig.tar.gz minus the folder "tools".
+get-orig-source:
+	mkdir -p debian/orig-temp
+	svn export -r 1872 https://jsxgraph.svn.sourceforge.net/svnroot/jsxgraph/trunk debian/orig-temp/jsxgraph-0.83+svn1872
+	rm -f debian/orig-temp/jsxgraph-0.83+svn1872/distrib/jquery.min.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/distrib/jsxcompressor.zip \
+	debian/orig-temp/jsxgraph-0.83+svn1872/distrib/jsxgraphcore.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/distrib/prototype.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jessie/jessiescript_ref_de.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jessie/jessiescript_ref_en.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jessie/jessiescript_tdm_ref_de.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jsxgraph_refcard.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/Cartography/vg2500_gk5.zip \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/Freudenberger/kamada_kawai.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/jscc/jscc-0.30.zip \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/jscc/jscc_manual_0.30.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/praesentation/ggb-in-jxg.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/ZA/GeogebraInJSXGraph.pdf \
+	"debian/orig-temp/jsxgraph-0.83+svn1872/examples/pickl/final/FT-HTML-Seite_Vortrag zur FT.ppt.zip" \
+	"debian/orig-temp/jsxgraph-0.83+svn1872/examples/pickl/final/Zulassungsarbeit_Christian Pickl.zip" \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/Wigand/prototype.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/JSXCompressor/prototype.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/plugins/wordpress/jsxgraphwp.zip
+	rm -rf debian/orig-temp/jsxgraph-0.83+svn1872/tools
+	find debian/orig-temp/jsxgraph-0.83+svn1872 -name "jsxgraphcore.js" -exec rm {} \;
+	cd debian/orig-temp/ && tar pcf - jsxgraph-0.83+svn1872/ | gzip -9 - > ../../../jsxgraph_0.83+svn1872~dfsg1.orig.tar.gz
+	rm -rf debian/orig-temp

## jsxgraph 0.96~dfsg1

=== debian/changelog ===
jsxgraph (0.96~dfsg1-2) unstable; urgency=low

  * upload to unstable without other modification

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 May 2013 23:20:02 +0200

jsxgraph (0.96~dfsg1-1) experimental; urgency=low

  * upgraded to the latest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jan 2013 11:42:07 +0100

jsxgraph (0.94~dfsg1-2) experimental; urgency=low

  * modified my DEBEMAIL
  * updated the script debian/get-latest-source to get sources from
    https://github.com/jsxgraph/jsxgraph/tree

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jan 2013 10:34:38 +0100

jsxgraph (0.94~dfsg1-1) experimental; urgency=low

  * upgraded to the latest tagged revision

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 15 Nov 2012 18:52:55 +0100

jsxgraph (0.83+svn1872~dfsg1-1) experimental; urgency=low

  * Added a script debian/get-latest-source to build a custom orig tarball
    based on the latest tagged source tree.
  * removed the target get-orig-source in debian/rules since it is related
    to one past release in the SVN repository
  * updated Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 15 Nov 2012 18:02:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
-Standards-Version: 3.9.4
+Standards-Version: 3.9.3
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph
 Architecture: all
 Depends: ${misc:Depends}, libjs-prototype, libjs-jquery
+Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
  JSXGraph is a cross-browser library to display interactive geometry in a
  web browser. It is implemented in JavaScript and uses SVG and VML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:
	find . -name "*~" -exec rm {} \;
	rm -rf js_docs_out
	rm -f distrib/jsxgraphcore.js
	dh_clean

get_latest_source:
	debian/get-latest-source

## jsxgraph 0.98~dfsg1

=== debian/changelog ===
jsxgraph (0.98~dfsg1-3) unstable; urgency=low

  * added build-dependencies node-uglify and zip, thanks to 
    Daniel T Chen <seven.steps@gmail.com>
  * upgraded Standards-Version to 3.9.5

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Jan 2014 18:54:06 +0100

jsxgraph (0.98~dfsg1-2) unstable; urgency=low

  * modified the Makefile in order to:
    - remove uglified file jsxcompressor.js upon clean
    - build jsxcompressor.js with "make all"
    Closes: #728659
  * added dependencies on python-support and python

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Dec 2013 16:16:06 +0100

jsxgraph (0.98~dfsg1-1) unstable; urgency=low

  * upgraded to the new upstream release
  * updated the file get-latest-source
  * updated debian/watch
  * updated Standards-Version to 3.9.4
  * added build-dependencies:
    + node-almond
    + node-requirejs

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Nov 2013 13:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt
-Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
-Standards-Version: 3.9.3
+Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
+ node-almond, node-requirejs, node-uglify, zip
+Standards-Version: 3.9.5
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph
 Architecture: all
-Depends: ${misc:Depends}, libjs-prototype, libjs-jquery
+Depends: ${misc:Depends}, libjs-prototype, libjs-jquery,
+ python-support (>= 0.90), python
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
  JSXGraph is a cross-browser library to display interactive geometry in a

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,5 @@
 %:
 	dh $@ 
 
-override_dh_auto_clean:
-	find . -name "*~" -exec rm {} \;
-	rm -rf js_docs_out
-	rm -f distrib/jsxgraphcore.js
-	dh_clean
-
 get_latest_source:
 	debian/get-latest-source

## jsxgraph 0.99.3~dfsg1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 JSDOC2=node ./node_modules/.bin/jsdoc2
 LINT=./node_modules/.bin/jslint
 HINT=./node_modules/.bin/jshint
-JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar
+JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar 
 
 # general tools
 CP=cp
@@ -15,6 +15,7 @@
 RM=rm
 CD=cd
 ZIP=zip
+UNZIP=unzip
 
 # directories
 OUTPUT=distrib
@@ -29,6 +30,7 @@
 # flags
 MKDIRFLAGS=-p
 RMFLAGS=-rf
+#JSDOC2FLAGS=-v -t=$(JSDOC2TPL) -d=$(TMP)/docs
 JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs
 ZIPFLAGS=-r
 JSTESTPORT=4224
@@ -37,11 +39,14 @@
 
 # filelists - required for docs, linters, and to build the readers
 FILELIST=$(shell cat src/loadjsxgraph.js | grep "baseFiles\s*=\s*'\(\w*,\)\+" | awk -F \' '{ print $$2 }' | sed 's/,/.js src\//g')
+
+# Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
+LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
+
 READERSOUT=build/bin/readers/geonext.min.js build/bin/readers/geogebra.min.js build/bin/readers/intergeo.min.js build/bin/readers/sketch.min.js
 
 # rules
 all: core core-min readers docs moodle
-
 
 core:
 	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
@@ -53,7 +58,6 @@
 	$(REQUIREJS) -o $(BUILD)/core.build.json optimize=uglify2 out=$(BUILDBIN)/jsxgraphcore-min.js;
 	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-min.js; } > $(BUILDBIN)/jsxgraphcore.min.js
 	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(OUTPUT)/jsxgraphcore.js
-
 
 core-amd:
 	$(REQUIREJS) -o $(BUILD)/core-amd.build.json
@@ -88,13 +92,16 @@
 	$(CP) $(JSDOC2PLG)/*.js ./node_modules/jsdoc2/app/plugins/
 
 	# run node-jsdoc2
-	$(JSDOC2) $(JSDOC2FLAGS) src/$(FILELIST).js
+	$(JSDOC2) $(JSDOC2FLAGS) src/loadjsxgraph.js src/$(FILELIST).js
 
 	# zip -r tmp/docs.zip tmp/docs/
 	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) docs.zip docs/
 	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip
 
 	$(RM) $(RMFLAGS) tmp
+	
+	# Test
+	$(CD) $(OUTPUT) && $(UNZIP) -o docs.zip
 
 moodle: core core-min $(READERSOUT) 
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
@@ -113,7 +120,7 @@
 
 	$(RM) $(RMFLAGS) tmp
 
-readers: $(READERSOUT)
+readers: $(READERSOUT) 
 	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
 	$(CP) $(BUILDREADERS)/* $(OUTPUT)
 
@@ -123,18 +130,19 @@
 
 compressor: core
 	$(REQUIREJS) -o build/compressor.build.json
-	$(CP) build/bin/jsxcompressor.js JSXCompressor/jsxcompressor.js
-	$(CP) build/bin/jsxgraphcore.js JSXCompressor/jsxgraphcore.js
+	{ $(CAT) JSXCompressor/COPYING; $(CAT) $(BUILDBIN)/jsxcompressor.js; } > JSXCompressor/jsxcompressor.min.js
+	$(CP) $(BUILDBIN)/jsxgraphcore.js JSXCompressor/jsxgraphcore.js
+	$(CP) distrib/jsxgraph.css JSXCompressor/jsxgraph.css
 
 plot:
 	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
 	$(REQUIREJS) -o build/plot.build.json
 
 hint:
-	$(HINT) src/$(FILELIST).js
+	$(HINT) src/$(LINTLIST).js
 
 lint:
-	$(LINT) src/$(FILELIST).js
+	$(LINT) src/$(LINTLIST).js
 
 test-server:
 	$(JSTESTDRIVER) --port $(JSTESTPORT)

=== debian/changelog ===
jsxgraph (0.99.3~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * removed a few sourceless files; Closes: #788728, and documented
    a few javascript sources in jsxgraph-lintian-overrides
  * realized that a former bug was already fixed. (Resolve FTBFS
    because of missing b-d-i). Closes: #734501
  * modified the installation to comply with Apache2.4; Closes: #669752
  * upgraded to dh_python2, thanks to Mattia Rizzolo's patch.
    Closes: #808165
  * upgraded Standards-Version to 3.9.6
  * imported the bootstrap script r.js as a quilt patch
  * changed the links to prototype.js in examples
  * changed the links to jquery.js in examples
  * changed the links to mathjax.js in examples

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Dec 2015 10:17:07 +0100

=== debian/control ===
Source: jsxgraph
Section: devel
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), quilt
Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
 node-almond, node-requirejs, node-uglify, zip, python, dh-python,
 apache2-dev
Standards-Version: 3.9.6
Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php

Package: jsxgraph
Architecture: all
Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery
Suggests: jsxgraph-examples
Description: Interactive Geometry with JavaScript
 JSXGraph is a cross-browser library to display interactive geometry in a
 web browser. It is implemented in JavaScript and uses SVG and VML.
 At the moment the following browsers are supported: Mozilla Firefox,
 Opera, Safari, Google Chrome, Microsoft Internet Explorer.
 .
 There are still some issues with JSXGraph in the Internet Explorer, so
 using Firefox, Opera, Safari or Chrome is recommended.
 .
 JSXGraph is easy to embed and has a small footprint: only 50 kB if
 embedded in a web page. No plugins are required!

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,13 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@ --with apache2 --with python2
+
+DESTDIR = debian/jsxgraph
+override_dh_install:
+	dh_install
+	install -d $(DESTDIR)/etc/apache2/conf-available
+	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/jsxgraph.conf
 
 get_latest_source:
 	debian/get-latest-source

=== debian/watch ===
version=3

opts=dversionmangle=s/~dfsg1$// \
  https://github.com/jsxgraph/jsxgraph/ /jsxgraph/jsxgraph/tree/RELEASE-(.*) \
  debian /bin/sh debian/get-latest-source

## jsxgraph 0.99.5+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
-.PHONY: test test-server
+.PHONY: tests test test-server
 
 # build tools
 REQUIREJS=./node_modules/.bin/r.js
 UGLIFYJS=./node_modules/.bin/uglifyjs
-JSDOC2=node ./node_modules/.bin/jsdoc2
+JSDOC2=nodejs ./node_modules/.bin/jsdoc2
+#JSDOC2=nodejs ./node_modules/.bin/jsdoc
+
 LINT=./node_modules/.bin/jslint
 HINT=./node_modules/.bin/jshint
-JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar 
+JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar
+INTERN=./node_modules/.bin/intern-client
 
 # general tools
 CP=cp
@@ -25,13 +28,15 @@
 BUILDREADERS=$(BUILDBIN)/readers
 JSDOC2PLG=doc/jsdoc-tk/plugins
 JSDOC2TPL=doc/jsdoc-tk/template
+#JSDOC2TPL=./node_modules/ink-docstrap/template
 JSDOC2TPLSTAT=$(JSDOC2TPL)/static
 
 # flags
 MKDIRFLAGS=-p
 RMFLAGS=-rf
-#JSDOC2FLAGS=-v -t=$(JSDOC2TPL) -d=$(TMP)/docs
 JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs
+#JSDOC2FLAGS=--verbose -p --template $(JSDOC2TPL) --destination $(TMP)/docs
+
 ZIPFLAGS=-r
 JSTESTPORT=4224
 JSTESTSERVER=localhost:4224
@@ -42,6 +47,7 @@
 
 # Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
 LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
+LINTFLAGS=--bitwise true --white true
 
 READERSOUT=build/bin/readers/geonext.min.js build/bin/readers/geogebra.min.js build/bin/readers/intergeo.min.js build/bin/readers/sketch.min.js
 
@@ -62,7 +68,6 @@
 core-amd:
 	$(REQUIREJS) -o $(BUILD)/core-amd.build.json
 	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-amd.js; } > $(BUILDBIN)/jsxgraphcore.amd.js
-
 
 release: core-min docs
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
@@ -99,14 +104,14 @@
 	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip
 
 	$(RM) $(RMFLAGS) tmp
-	
+
 	# Test
 	$(CD) $(OUTPUT) && $(UNZIP) -o docs.zip
 
-moodle: core core-min $(READERSOUT) 
+moodle: core core-min $(READERSOUT)
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)/jsxgraph
-	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraph/jsxgraphcore.js	
+	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraph/jsxgraphcore.js
 	$(CP) distrib/jsxgraph.css $(TMP)/jsxgraph/jsxgraph.css
 	$(CP) plugins/moodle/moodle2/*.php $(TMP)/jsxgraph/
 	$(CP) plugins/moodle/moodle2/styles.css $(TMP)/jsxgraph/
@@ -120,7 +125,7 @@
 
 	$(RM) $(RMFLAGS) tmp
 
-readers: $(READERSOUT) 
+readers: $(READERSOUT)
 	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
 	$(CP) $(BUILDREADERS)/* $(OUTPUT)
 
@@ -142,10 +147,13 @@
 	$(HINT) src/$(LINTLIST).js
 
 lint:
-	$(LINT) src/$(LINTLIST).js
+	$(LINT) $(LINTFLAGS) src/$(LINTLIST).js
 
 test-server:
 	$(JSTESTDRIVER) --port $(JSTESTPORT)
 
 test: core
 	$(JSTESTDRIVER) $(JSTESTSERVER) $(JSTESTFLAGS) --basePath ./ --config test/jsTestDriver.conf
+
+tests:
+	$(INTERN) config=tests/intern

=== debian/changelog ===
jsxgraph (0.99.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * changed the pattern of new packages got by uscan
  * upgraded Standards-Version to 3.9.8
  * created a new output package, jsxcompressor. Closes: #846378
  * reworked some parts of the packaging to make lintian happy

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 Dec 2016 17:08:57 +0100

## jsxgraph 0.99.6+dfsg1

=== Makefile ===
--- 
+++ 
@@ -64,10 +64,6 @@
 	$(REQUIREJS) -o $(BUILD)/core.build.json optimize=uglify2 out=$(BUILDBIN)/jsxgraphcore-min.js;
 	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-min.js; } > $(BUILDBIN)/jsxgraphcore.min.js
 	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(OUTPUT)/jsxgraphcore.js
-
-core-amd:
-	$(REQUIREJS) -o $(BUILD)/core-amd.build.json
-	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-amd.js; } > $(BUILDBIN)/jsxgraphcore.amd.js
 
 release: core-min docs
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)

=== debian/changelog ===
jsxgraph (0.99.6+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Aug 2017 10:46:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
  node-almond, node-requirejs, node-uglify, zip, python, dh-python,
  apache2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph
 Architecture: all
-Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery
+Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery,
+ jsxcompressor
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
  JSXGraph is a cross-browser library to display interactive geometry in a
@@ -24,3 +25,14 @@
  .
  JSXGraph is easy to embed and has a small footprint: only 50 kB if
  embedded in a web page. No plugins are required!
+
+Package: jsxcompressor
+Architecture: all
+Depends: ${misc:Depends}
+Description: Pure Javascript implementation of deflate, unzip, base64_decode
+ This package is intended to provide  a pure JavaScript implementation of
+ DEFLATE, unzip and base64_decode for JSXGraph. This can be used for
+ delivering compressed JavaScript inside of an HTML file.
+ .
+ JSXGraph is a cross-browser library to display interactive geometry in a
+  web browser.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 	dh_install
 	install -d $(DESTDIR)/etc/apache2/conf-available
 	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/jsxgraph.conf
-
-get_latest_source:
-	debian/get-latest-source
+	# remove wrong exec flags
+	find $(DESTDIR)/usr/share/jsxgraph/examples/bspnc/ -type f -name "*.gxt" -exec chmod -x "{}" \;
+	# replace embedded jquery.min.js
+	rm -f $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/jquery.min.js
+	ln -s /usr/share/javascript/jquery/jquery.min.js $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/

## jsxgraph 1.3.5+dfsg1

=== Makefile ===
--- 
+++ 
@@ -109,10 +109,10 @@
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)/jsxgraph
 	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraph/jsxgraphcore.js
 	$(CP) distrib/jsxgraph.css $(TMP)/jsxgraph/jsxgraph.css
-	$(CP) plugins/moodle/moodle2/*.php $(TMP)/jsxgraph/
-	$(CP) plugins/moodle/moodle2/styles.css $(TMP)/jsxgraph/
-	$(CP) plugins/moodle/moodle2/readme.txt $(TMP)/jsxgraph/
-	$(CP) -r plugins/moodle/moodle2/lang $(TMP)/jsxgraph/
+	$(CP) ../moodle-jsxgraph-plugin/moodle2/*.php $(TMP)/jsxgraph/
+	$(CP) ../moodle-jsxgraph-plugin/moodle2/styles.css $(TMP)/jsxgraph/
+	$(CP) ../moodle-jsxgraph-plugin/README.md $(TMP)/jsxgraph/
+	$(CP) -r ../moodle-jsxgraph-plugin/moodle2/lang $(TMP)/jsxgraph/
 	$(CP) $(BUILDREADERS)/* $(TMP)/jsxgraph/
 
 	# zip -r tmp/jsxgraph.zip tmp/jsxgraph

=== debian/changelog ===
jsxgraph (1.3.5+dfsg1-3) unstable; urgency=medium

  * make changes to use python3 only. Closes: #943079 

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Dec 2019 19:57:53 +0100

jsxgraph (1.3.5+dfsg1-2) unstable; urgency=medium

  * adapted the Makefile to take in account in the dependency node-almond.
    Closes: #922254

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Feb 2019 11:12:16 +0100

jsxgraph (1.3.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * added VCS stuff to debian/control
  * changed the symlink to node-almond; Closes: #893607

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Apr 2018 23:58:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), quilt
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
- node-almond, node-requirejs, node-uglify, zip, python, dh-python,
+ node-almond, node-requirejs, node-uglify, zip, python3, dh-python,
  apache2-dev
 Standards-Version: 3.9.8
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
+Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph.git
+Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git
 
 Package: jsxgraph
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with apache2 --with python2
+	dh $@ --with apache2 --with python3
 
 DESTDIR = debian/jsxgraph
 override_dh_install:
@@ -22,3 +22,7 @@
 	# replace embedded jquery.min.js
 	rm -f $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/jquery.min.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/
+	# remove privacy breaches using google styles from generated files
+	for f in $$(find $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs -name "*.htm*"); do \
+	  sed 's/.*google.*//' $$f > $$f.tmp && mv $$f.tmp $$f; \
+	done

=== debian/watch ===
version=3

opts=dversionmangle=s/jsxgraph-\(.*\).dfsg1$/v\1/ \
  https://github.com/jsxgraph/jsxgraph/tags \
  /jsxgraph/jsxgraph/archive/[Vv](.*)\.tar\.gz \
  debian debian/get-latest-source

## jsxgraph 1.4.2%2Bdfsg1

=== Makefile ===
.PHONY: tests test test-server

# Build tools
REQUIREJS=./node_modules/.bin/r.js
MINIFYER=./node_modules/terser/bin/terser

# Code quality
LINT=./node_modules/.bin/jslint
ESLINT=./node_modules/eslint/bin/eslint.js
HINT=./node_modules/.bin/jshint
KARMA=node_modules/karma/bin/karma

# System tools
CP=cp
CAT=cat
MKDIR=mkdir
RM=rm
CD=cd
ZIP=zip
UNZIP=unzip

# Directories
OUTPUT=distrib
THIRDPARTY=3rdparty
BUILD=build
TMP=tmp
BUILDBIN=$(BUILD)/bin
BUILDREADERS=$(BUILDBIN)/readers

# API docs
JSDOC2=node ./node_modules/.bin/jsdoc2
JSDOC2PLG=doc/jsdoc-tk/plugins
JSDOC2PTCH=doc/jsdoc-tk/patches
JSDOC2TPL=doc/jsdoc-tk/template
JSDOC2TPLSTAT=$(JSDOC2TPL)/static
JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs

# Flags
MKDIRFLAGS=-p
RMFLAGS=-rf
ZIPFLAGS=-r

# Filelists - required for docs, linters, and to build the readers
FILELIST=$(shell cat src/loadjsxgraph.js | grep "baseFiles\s*=\s*'\(\w*,\)\+" | awk -F \' '{ print $$2 }' | sed 's/,/.js src\//g')

# Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
LINTFLAGS=--bitwise true --white true --continue true
ESLINTFLAGS=

READERSOUT=build/bin/readers/geonext.min.js build/bin/readers/geogebra.min.js build/bin/readers/intergeo.min.js build/bin/readers/sketch.min.js

# Rules
all: core readers docs

core:
	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
	# Build uncompressed file jsxgraphcore.js and copy it to jsxgraphsrc.js
	$(REQUIREJS) -o $(BUILD)/core.build.json
	$(CP) $(BUILDBIN)/jsxgraphcore.js $(OUTPUT)/jsxgraphsrc.js

	# Build compressed file jsxgraphcore-min.js and copy it to jsxgraphcore.js
	$(MINIFYER) $(BUILDBIN)/jsxgraphcore.js -c -m -o $(BUILDBIN)/jsxgraphcore-min.js
	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-min.js; } > $(BUILDBIN)/jsxgraphcore.min.js
	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(OUTPUT)/jsxgraphcore.js

core-min:
	echo "INFO: core-min deactived. It is covered by core"

release: core docs
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraphcore.js
	$(CP) $(BUILDBIN)/jsxgraphcore.js $(TMP)/jsxgraphsrc.js
	$(CP) $(OUTPUT)/docs.zip $(TMP)/docs.zip
	$(CP) $(OUTPUT)/jsxgraph.css $(TMP)/jsxgraph.css
	$(CP) $(OUTPUT)/index.d.ts $(TMP)/index.d.ts
	$(CP) -r src/themes $(TMP)/themes
	$(CP) README.md LICENSE.MIT LICENSE.LGPL $(TMP)/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) jsxgraph.zip jsxgraph* themes/ index.d.ts docs.zip README.md LICENSE.*
	$(CP) $(TMP)/jsxgraph.zip $(OUTPUT)/jsxgraph.zip

	$(RM) $(RMFLAGS) tmp

docs: core
	# Set up tmp dir
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)

	# Update template related files
	$(CP) $(THIRDPARTY)/jquery.min.js $(JSDOC2TPLSTAT)/jquery.min.js
	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(JSDOC2TPLSTAT)/jsxgraphcore.js
	$(CP) $(OUTPUT)/jsxgraph.css $(JSDOC2TPLSTAT)/jsxgraph.css

	# Patch run.js
	$(CP) $(JSDOC2PTCH)/*.js ./node_modules/jsdoc2/app

	# Update the plugin
	$(CP) $(JSDOC2PLG)/*.js ./node_modules/jsdoc2/app/plugins/

	# Run node-jsdoc2
	$(JSDOC2) $(JSDOC2FLAGS) src/loadjsxgraph.js src/$(FILELIST).js

	# Compress the result: zip -r tmp/docs.zip tmp/docs/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) docs.zip docs/
	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip

	$(RM) $(RMFLAGS) tmp

	# Test
	$(CD) $(OUTPUT) && $(UNZIP) -o docs.zip

readers: $(READERSOUT)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
	$(CP) $(BUILDREADERS)/* $(OUTPUT)

build/bin/readers/%.min.js: src/reader/%.js
	$(MKDIR) $(MKDIRFLAGS) $(BUILDREADERS)
	{ $(CAT) COPYRIGHT; $(MINIFYER) $^ -c -m ; } > $@

compressor: core
	$(REQUIREJS) -o build/compressor.build.json
	{ $(CAT) JSXCompressor/COPYING; $(CAT) $(BUILDBIN)/jsxcompressor.js; } > JSXCompressor/jsxcompressor.min.js
	$(CP) $(BUILDBIN)/jsxgraphcore.js JSXCompressor/jsxgraphcore.js
	$(CP) $(OUTPUT)/jsxgraph.css JSXCompressor/jsxgraph.css

plot:
	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
	$(REQUIREJS) -o build/plot.build.json

hint:
	$(HINT) src/$(LINTLIST).js

lint:
	$(LINT) $(LINTFLAGS) src/$(LINTLIST).js

eslint:
	$(ESLINT) $(ESLINTFLAGS) src/$(LINTLIST).js

test: core
	$(KARMA) start karma/karma.conf.js

=== debian/changelog ===
jsxgraph (1.4.2+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * bumped Standards-Version: 4.6.0

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Feb 2022 17:24:13 +0100

jsxgraph (1.4.1+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 28 Jan 2022 19:50:44 +0100

jsxgraph (1.4.0+dfsg1-1) experimental; urgency=medium

  * new upstream version
  * modified the build-dependency uglifyjs.terser -> terser.
    Closes: #1001034
  * rewritten debian/copyright to use "copyright-format/1.0", and defined
    a list of "Files-Excluded"
  * modified the watch file to track https://github.com/jsxgraph/jsxgraph/tags
    and to repack the archive with the suffix "dfsg1"
  * removed the file debian/get-latest-source
  * bumped debhelper  to debhelper-compat (= 13), Standards-Version: 4.5.1,
    priority becomes "optional"
  * updated debian patches
  * updated source/lintian-overrides

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Dec 2021 12:01:29 +0100

jsxgraph (1.3.5+dfsg1-8) unstable; urgency=medium

  * replaced uglifyjs by uglifyjs.terser in Makefile. Closes: #980470

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Jan 2021 16:41:44 +0100

jsxgraph (1.3.5+dfsg1-7) unstable; urgency=medium

  * replaced a build-dependency: node-requirejs -> uglifyjs.terser
    Closes: #979903

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Jan 2021 15:46:44 +0100

jsxgraph (1.3.5+dfsg1-6) unstable; urgency=medium

  * Now, python is installed before compiling jsxgraph's scripts
    some scripts were fixed so python3 can compile them properly.
    Closes: #954776

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Mar 2020 17:26:54 +0200

jsxgraph (1.3.5+dfsg1-5) unstable; urgency=medium

  * Changed the dependency on python, made it a pre-dependency.
    Closes: #954776

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Mar 2020 16:11:21 +0200

jsxgraph (1.3.5+dfsg1-4) unstable; urgency=medium

  * changed the symlink to access the new location of almond.js
    Closes: #952307
  * improved dependencies of jsxgraph to take python3 in account

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 02 Mar 2020 19:43:46 +0100

## jsxgraph 1.4.2+dfsg1

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: jsxgraph
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9.0.0), quilt
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
- node-almond, node-requirejs, node-uglify, zip, python3, dh-python,
+ node-almond, node-requirejs, terser, zip, python3, dh-python,
  apache2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.6.0
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph.git
 Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git
 
 Package: jsxgraph
 Architecture: all
-Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery,
+Pre-Depends: python3
+Depends:  ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
  jsxcompressor
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript

## jsxgraph 1.4.5+dfsg1

=== debian/changelog ===
jsxgraph (1.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.5+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Jul 2022 12:31:51 +0200

jsxgraph (1.4.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.4+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 May 2022 19:09:57 +0200

jsxgraph (1.4.3+dfsg1-1) unstable; urgency=medium

  * new upstream version 1.4.3

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Apr 2022 12:43:03 +0200

jsxgraph (1.4.2+dfsg1-2) unstable; urgency=medium

  * added JSXCompressor/jsxgraph.css to the list of Files-Excluded in
    debian/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Feb 2022 17:56:51 +0100

## jsxgraph 1.4.6+dfsg1

=== debian/changelog ===
jsxgraph (1.4.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.6+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Nov 2022 11:58:07 +0100

## jsxgraph 1.5.0+dfsg1

=== Makefile ===
.PHONY: test docs core core-min prettier release lint eslint readers

# Build tools
WEBPACK=./node_modules/.bin/webpack
MINIFYER=./node_modules/terser/bin/terser

# Code quality
LINT=./node_modules/.bin/jslint
ESLINT=./node_modules/eslint/bin/eslint.js
HINT=./node_modules/.bin/jshint
KARMA=node_modules/karma/bin/karma
PRETTIER=./node_modules/.bin/prettier

# System tools
CP=cp
CAT=cat
MKDIR=mkdir
RM=rm
CD=cd
ZIP=zip
UNZIP=unzip

# Directories
OUTPUT=distrib
THIRDPARTY=3rdparty
BUILD=build
TMP=tmp
# BUILDBIN=$(BUILD)/bin
BUILDREADERS=tmpreaders

# API docs
JSDOC2=node ./node_modules/.bin/jsdoc2
JSDOC2PLG=doc/jsdoc-tk/plugins
JSDOC2PTCH=doc/jsdoc-tk/patches
JSDOC2TPL=doc/jsdoc-tk/template
JSDOC2TPLSTAT=$(JSDOC2TPL)/static
JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs

# Flags
MKDIRFLAGS=-p
RMFLAGS=-rf
ZIPFLAGS=-r

# Extract version number from package.json
VERSION=$(shell grep -o '"version": "[^"]*' package.json | grep -o '[^"]*$$')

# List of all included JavaScript files - required for docs, linters, and to build the readers
FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/"\.(.+)"/,m)) print "src"m[1]".js" }')

# Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
LINTFLAGS=--bitwise true --white true --continue true
ESLINTFLAGS=

PRETTIERFLAGS=-w --print-width 96 --tab-width 4 --trailing-comma none

READERSOUT=tmpreaders/geonext.min.js tmpreaders/geogebra.min.js tmpreaders/intergeo.min.js tmpreaders/sketch.min.js

# Rules
all: core readers docs

core:
	# Build uncompressed AND minified files
	#   jsgraphsrc.js, jsxgraphsrc.mjs, jsxgraphcore.js, jsxgraphcore.mjs and
	# copy them to the distrib directory.
	$(WEBPACK) --config config/webpack.config.js
	# Update version number in line 2 of file COPYRIGHT
	sed -i '2s/.*/    JSXGraph $(VERSION)/' COPYRIGHT
	# Prepend file to the jsxgraphcore.* files
	cat COPYRIGHT $(OUTPUT)/jsxgraphcore.js >$(OUTPUT)/tmp.file; mv $(OUTPUT)/tmp.file $(OUTPUT)/jsxgraphcore.js
	cat COPYRIGHT $(OUTPUT)/jsxgraphcore.mjs >$(OUTPUT)/tmp.file; mv $(OUTPUT)/tmp.file $(OUTPUT)/jsxgraphcore.mjs

core-min:
	echo "INFO: core-min deactivated. It is covered by core"

release: core docs
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(CP) $(OUTPUT)/jsxgraphcore.js $(TMP)/jsxgraphcore.js
	$(CP) $(OUTPUT)/jsxgraphsrc.js  $(TMP)/jsxgraphsrc.js
	$(CP) $(OUTPUT)/jsxgraphcore.mjs $(TMP)/jsxgraphcore.mjs
	$(CP) $(OUTPUT)/jsxgraphsrc.mjs  $(TMP)/jsxgraphsrc.mjs
	$(CP) $(OUTPUT)/jsxgraph.css    $(TMP)/jsxgraph.css
	$(CP) $(OUTPUT)/docs.zip        $(TMP)/docs.zip
	$(CP) src/index.d.ts            $(TMP)/index.d.ts
	$(CP) -r src/themes             $(TMP)/themes
	$(CP) README.md LICENSE.MIT LICENSE.LGPL $(TMP)/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) jsxgraph.zip jsxgraph* themes/ index.d.ts docs.zip README.md LICENSE.*
	$(CP) $(TMP)/jsxgraph.zip $(OUTPUT)/jsxgraph.zip
	$(RM) $(RMFLAGS) $(TMP)

docs: core
	# Set up tmp dir
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)

	# Update template related files
	$(CP) $(THIRDPARTY)/jquery.min.js $(JSDOC2TPLSTAT)/jquery.min.js
	$(CP) $(OUTPUT)/jsxgraphcore.js   $(JSDOC2TPLSTAT)/jsxgraphcore.js
	$(CP) $(OUTPUT)/jsxgraph.css      $(JSDOC2TPLSTAT)/jsxgraph.css

	# Update version number in line 2 of file doc/jsdoc-tk/template/static/header.html
	sed -i '2s/.*/<h1>JSXGraph $(VERSION) Reference<\/h1>/' doc/jsdoc-tk/template/static/header.html

	# Patch run.js
	$(CP) $(JSDOC2PTCH)/*.js ./node_modules/jsdoc2/app

	# Update the plugin
	$(CP) $(JSDOC2PLG)/*.js ./node_modules/jsdoc2/app/plugins/

	# Run node-jsdoc2
	$(JSDOC2) $(JSDOC2FLAGS) $(FILELIST)

	# Compress the result: zip -r tmp/docs.zip tmp/docs/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) docs.zip docs/
	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip

	$(RM) $(RMFLAGS) tmp

	# Test
	$(CD) $(OUTPUT) && $(UNZIP) -o docs.zip

# prettier:
# 	$(PRETTIER) $(PRETTIERFLAGS) src

readers: $(READERSOUT)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
	$(CP) $(BUILDREADERS)/* $(OUTPUT)
	$(RM) $(RMFLAGS) $(BUILDREADERS)

tmpreaders/%.min.js: src/reader/%.js
	$(MKDIR) $(MKDIRFLAGS) $(BUILDREADERS)
	{ $(CAT) COPYRIGHT; $(MINIFYER) $^ -c -m ; } > $@

compressor: core
	$(WEBPACK) --config config/webpack.config.compressor.js
	$(CP) $(OUTPUT)/jsxgraph.css    JSXCompressor/jsxgraph.css

plot:
	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
	$(WEBPACK) --config config/webpack.config.plot.js

hint:
	$(HINT) $(LINTLIST)

lint:
	$(LINT) $(LINTFLAGS) $(LINTLIST)

eslint:
	$(ESLINT) $(ESLINTFLAGS) $(LINTLIST)

test: core
	$(KARMA) start karma/karma.conf.js

=== debian/changelog ===
jsxgraph (1.5.0+dfsg1-3) unstable; urgency=medium

  * added a build dependency: node-path-browserify

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Feb 2023 12:31:58 +0100

jsxgraph (1.5.0+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2-3, 10-13, 19, 23, 28
    + debian/source.lintian-overrides: line 5
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Move source package lintian overrides to debian/source.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.6.1, no changes needed.
  
  [Georges Khaznadar]
  * Update standards version to 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:17:59 +0100

jjsxgraph (1.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.5.0+dfsg1
  * removed some paths from Files-Excluded
  * bumped Standards-Version: 4.6.2
  * updated debian patches
  * added two new patternes to .gitignore: "*~" and ".pc/"
  * added a build-dependencies on package webpack, eslint;
    patched Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,27 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
- node-almond, node-requirejs, terser, zip, python3, dh-python,
+Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3),
+ yui-compressor,
+ node-almond,
+ node-requirejs,
+ node-path-browserify,
+ terser,
+ zip,
+ webpack,
+ eslint,
+ python3,
+ dh-python,
  apache2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
-Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph.git
+Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph
 Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git
 
 Package: jsxgraph
 Architecture: all
 Pre-Depends: python3
-Depends:  ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
+Depends: ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
  jsxcompressor
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
@@ -32,6 +41,7 @@
 Package: jsxcompressor
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Pure Javascript implementation of deflate, unzip, base64_decode
  This package is intended to provide  a pure JavaScript implementation of
  DEFLATE, unzip and base64_decode for JSXGraph. This can be used for

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	dh $@ --with apache2 --with python3
 
 DESTDIR = debian/jsxgraph
+
+
 override_dh_install:
 	dh_install
 	install -d $(DESTDIR)/etc/apache2/conf-available

## jsxgraph 1.6.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 # Directories
 OUTPUT=distrib
+BETA=beta
 THIRDPARTY=3rdparty
 BUILD=build
 TMP=tmp
@@ -88,6 +89,21 @@
 	$(CP) $(TMP)/jsxgraph.zip $(OUTPUT)/jsxgraph.zip
 	$(RM) $(RMFLAGS) $(TMP)
 
+beta: docs
+	# $(WEBPACK) --config config/webpack.config.js
+	cp $(OUTPUT)/*.js $(BETA)
+	cp $(OUTPUT)/*.mjs $(BETA)
+	cp $(OUTPUT)/*.map $(BETA)
+	cp $(OUTPUT)/*.css $(BETA)
+	rm -r $(BETA)/docs
+	cp -r $(OUTPUT)/docs/ $(BETA)/docs
+	# Update version number in line 2 of file COPYRIGHT
+	sed -i '2s/.*/    JSXGraph $(VERSION)/' COPYRIGHT
+	# Prepend file to the jsxgraphcore.* files
+	cat COPYRIGHT $(BETA)/jsxgraphcore.js >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.js
+	cat COPYRIGHT $(BETA)/jsxgraphcore.mjs >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.mjs
+
+
 docs: core
 	# Set up tmp dir
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)

=== debian/changelog ===
jsxgraph (1.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg1
  * updated debian patches for Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Aug 2023 11:47:28 +0200
